BF: added a little shell script to excercise tests against all available Python versions

also report Python version inside fail2ban-testcases
_tent/ipv6_adapter_cmd
Yaroslav Halchenko 12 years ago
parent ef2ea965c8
commit 39172a99c5

@ -9,6 +9,6 @@ env:
- PYTHON=python PYSUF=''
# - PYTHON=python3 PYSUF=3 : python3-numpy not currently available
install:
- sudo apt-get install $PYTHON-all $PYTHON-pyinotify $PYTHON-gamin
- sudo apt-get install $PYTHON-all $PYTHON-all-dbg $PYTHON-pyinotify $PYTHON-gamin
script:
- set -e; for p in `pyversions -s`; do echo "I: $p"; $p ./fail2ban-testcases; done
- ./failban-testcases-all

@ -100,7 +100,8 @@ logSys.addHandler(stdout)
# Let know the version
#
if not opts.log_level or opts.log_level != 'fatal':
print "Fail2ban " + version + " test suite. Please wait..."
print "Fail2ban %s test suite. Python %s. Please wait..." \
% (version, str(sys.version).replace('\n', ''))
#

@ -0,0 +1,18 @@
#!/bin/bash
# Simple helper script to exercise unittests using all available
# (under /usr/bin and /usr/local/bin python2.*)
set -eu
failed=
for python in /usr/{,local/}bin/python2.[0-9]{,.*}{,-dbg}
do
[ -e "$python" ] || continue
echo "Testing using $python"
$python ./fail2ban-testcases || failed+=" $python"
done
if [ ! -z "$failed" ]; then
echo "E: Failed with $failed"
exit 1
fi
Loading…
Cancel
Save